### Virtual Method

# Gtk TreeModelrow_has_child_toggled

deprecated: 4.10

#### Declaration [src]

    void
    row_has_child_toggled (
      GtkTreeModel* tree_model,
      GtkTreePath* path,
      GtkTreeIter* iter
    )

#### Description [src]

Emits the ::row-has-child-toggled signal on `tree_model`.

See `GtkTreeModel::row-has-child-toggled`.

This should be called by models after the child state of a node changes.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`path`

  Type: `GtkTreePath`

  A `GtkTreePath` pointing to the changed row.

  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter` pointing to the changed row.

  The data is owned by the caller of the function.